html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: IBM Plex Sans, arial;
  background-color: whitesmoke;
}

main {
  padding: 12px;
}

h1, h2, p {
  margin: 0;
  font-size: 14px;
  font-weight: 400;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.grid {
  display: grid;
  gap: 12px;
  grid-template-columns: 1fr;
}

.element {
  display: flex;
  flex-direction: column;
  margin-bottom: 0px;
  cursor: pointer;
}

.element:hover .titre {
  text-decoration: underline;
}

a {
  text-decoration: none;
  color: black;
}

.element img, video {
  width: 100%;
  aspect-ratio: 4/3;
  object-fit: cover;
  display: block;
}

.titre {
  font-weight: bold;
  margin-top: 4px;
}

.type {
  margin-left: 12px;
}

.top-button {
  display: block;
  height: 26px;
  text-align: center;
  align-items: center;
  padding: 8px 0;
  background: yellow;
  color: black;
  text-decoration: none;
  font-size: 20px;
  margin-top: 8px;
}

/* responsive */
@media (min-width: 756px) {
  .grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

@media (min-width: 1080px) {
  .grid {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
  
  .top-button {
    display: none;
  }
}

@media (min-width: 1400px) {
  .grid {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}